MAKEDB.PY(1)

NAME
MakeDb.py - Repertoire clonal assignment toolkit (Python 3)

DESCRIPTION
usage: MakeDb.py [--version] [-h] ...

Create tab-delimited database file to store sequence alignment information

  help:

--version
    show program's version number and exit

-h, --help
    show this help message and exit

  subcommands:

    Aligner used

igblast
    Process igblastn output.

    igblast-aa

    Process igblastp output.

imgt
    Process IMGT/HighV-Quest output (does not work with V-QUEST).

ihmm
    Process iHMMune-Align output.

  output files:

    db-pass

    database of alignment records with functionality information, V and J calls, and a junction region.

    db-fail

    database with records that fail due to no productivity information, no gene V assignment, no J assignment, or no junction region.

  universal output fields:

    sequence_id, sequence, sequence_alignment, germline_alignment, rev_comp, productive, stop_codon, vj_in_frame, locus, v_call, d_call, j_call, junction, junction_length, junction_aa, v_sequence_start, v_sequence_end, v_germline_start, v_germline_end, d_sequence_start, d_sequence_end, d_germline_start, d_germline_end, j_sequence_start, j_sequence_end, j_germline_start, j_germline_end, np1_length, np2_length, fwr1, fwr2, fwr3, fwr4, cdr1, cdr2, cdr3

  imgt specific output fields:

    n1_length, n2_length, p3v_length, p5d_length, p3d_length, p5j_length, d_frame, v_score, v_identity, d_score, d_identity, j_score, j_identity

  igblast specific output fields:

    v_score, v_identity, v_support, v_cigar, d_score, d_identity, d_support, d_cigar, j_score, j_identity, j_support, j_cigar

  ihmm specific output fields:

    vdj_score

  10X specific output fields:

    cell_id, c_call, consensus_count, umi_count, v_call_10x, d_call_10x, j_call_10x, junction_10x, junction_10x_aa

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.